<?php
/**
 * Forty Two functions and definitions
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

define( 'FORTY_TWO_VERSION', '1.0.4' );

/**
 * The theme only works in WordPress 4.7 or later.
 */
if ( version_compare( $GLOBALS['wp_version'], '4.7', '<' ) ) {
	require get_template_directory() . '/inc/back-compat.php';
	return;
}

/**
 * Library loader.
 */
require get_template_directory() . '/inc/library.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-hooks.php';

/**
 * Additional theme functions to use from within templates.
 */
require get_template_directory() . '/inc/template-functions.php';

forty_two()
	->register_component( new Forty_Two_Theme_Support() )
	->register_component( new Forty_Two_Settings() )
	->register_component( new Forty_Two_Assets() )
	->register_component( new Forty_Two_Customizer() )
	->register_component( new Forty_Two_Colors() )
	->register_component( new Forty_Two_Font_Families() )
	->register_component( new Forty_Two_Fonts() )
	->register_component( new Forty_Two_Custom_Logo() )
	->register_component( new Forty_Two_Custom_Header() )
	->register_component( new Forty_Two_Custom_Background() )
	->register_component( new Forty_Two_Distraction_Free_Mode() )
	->register_component( new Forty_Two_Sticky_Elements() )
	->register_component( new Forty_Two_Comments() )
	->register_component( new Forty_Two_Widgets() )
	->register_component( new Forty_Two_Menus() )
	->register_component( new Forty_Two_Icons() )
	->register_component( new Forty_Two_Content_Types() )
	->register_component( new Forty_Two_Sidebar() )
	->register_component( new Forty_Two_Navbar() )
	->register_component( new Forty_Two_Top_Bar() )
	->register_component( new Forty_Two_Bottom_Bar() )
	->register_component( new Forty_Two_Footer_Widget_Areas() )
	->register_component( new Forty_Two_Social_Navigation() )
	->register_component( new Forty_Two_Footer_Navigation() )
	->register_component( new Forty_Two_Image_Sizes() )
	->register_component( new Forty_Two_AMP() )
	->resolve_dependencies()
	->initialize();

/**
 * Plugin compatibility.
 */
require get_template_directory() . '/inc/plugin-compat.php';
