<?php
/**
 * Forty_Two_Customize_Panel class
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

/**
 * Class representing a Customizer panel.
 *
 * Since core already has acceptable classes for these, this class only contains
 * constants for easy property access.
 *
 * @since 1.0.0
 */
final class Forty_Two_Customize_Panel {

	/**
	 * ID property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_ID = 'id';

	/**
	 * Capability property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_CAPABILITY = 'capability';

	/**
	 * Type property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_TYPE = 'type';

	/**
	 * Title property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_TITLE = 'title';

	/**
	 * Description property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_DESCRIPTION = 'description';

	/**
	 * Priority property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_PRIORITY = 'priority';

	/**
	 * Theme supports property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_THEME_SUPPORTS = 'theme_supports';

	/**
	 * Active callback property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_ACTIVE_CALLBACK = 'active_callback';
}
