<?php
/**
 * Forty_Two_Customize_Partial class
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

/**
 * Class representing a Customizer partial.
 *
 * Since core already has acceptable classes for these, this class only contains
 * constants for easy property access.
 *
 * @since 1.0.0
 */
final class Forty_Two_Customize_Partial {

	/**
	 * ID property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_ID = 'id';

	/**
	 * Capability property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_CAPABILITY = 'capability';

	/**
	 * Type property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_TYPE = 'type';

	/**
	 * Settings property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_SETTINGS = 'settings';

	/**
	 * Selector property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_SELECTOR = 'selector';

	/**
	 * Render callback property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_RENDER_CALLBACK = 'render_callback';

	/**
	 * Container inclusive property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_CONTAINER_INCLUSIVE = 'container_inclusive';

	/**
	 * Fallback refresh property name.
	 *
	 * @since 1.0.0
	 */
	const PROP_FALLBACK_REFRESH = 'fallback_refresh';
}
