<?php
/**
 * Forty_Two_Widget_Area_Not_Registered_Exception class
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

/**
 * Exception thrown when a widget area is not registered when it is requested.
 *
 * @since 1.0.0
 */
class Forty_Two_Widget_Area_Not_Registered_Exception extends InvalidArgumentException {

	/**
	 * Creates an exception from a given widget area identifier.
	 *
	 * @since 1.0.0
	 *
	 * @param string $id Widget area identifier.
	 * @return Forty_Two_Widget_Area_Not_Registered_Exception Exception for the given identifier.
	 */
	public static function from_id( $id ) {
		/* translators: %s: widget area identifier */
		$message = sprintf( __( '%s is not a registered widget area.', 'forty-two' ), $id );

		return new self( $message );
	}
}
