<?php
/**
 * Yoast SEO compatibility functions
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

/**
 * Outputs the Yoast SEO breadcrumbs as applicable.
 *
 * @since 1.0.0
 */
function forty_two_yoast_seo_display_breadcrumbs() {
	if ( function_exists( 'yoast_breadcrumb' ) ) {
		$before = '<nav id="site-breadcrumbs" class="site-breadcrumbs site-component" aria-label="' . esc_attr_x( 'You are here:', 'breadcrumbs', 'forty-two' ) . '"><div class="site-component-inner">';
		$after  = '</div></nav>';

		yoast_breadcrumb( $before, $after );
	}
}
add_action( 'forty_two_after_header', 'forty_two_yoast_seo_display_breadcrumbs' );

/**
 * Removes the author posts link from the authorbox if author archives are disabled.
 *
 * @since 1.0.0
 *
 * @param bool $result Whether the author posts link should be displayed for the post.
 * @return bool Possibly modified $result.
 */
function forty_two_yoast_seo_maybe_remove_author_posts_link( $result ) {
	if ( WPSEO_Options::get( 'disable-author', false ) ) {
		$result = false;
	}

	return $result;
}
add_filter( 'forty_two_display_author_posts_link', 'forty_two_yoast_seo_maybe_remove_author_posts_link' );
