<?php
/**
 * WP Subtitle compatibility functions
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

/**
 * Prints the subtitle for any post.
 *
 * @since 1.0.0
 */
function forty_two_wp_subtitle_print_post_subtitle() {
	if ( is_singular() ) {
		the_subtitle( '<div class="entry-subtitle">', '</div>' );
	} else {
		the_subtitle( '<div class="entry-subtitle"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></div>' );
	}
}
add_action( 'forty_two_after_entry_title', 'forty_two_wp_subtitle_print_post_subtitle' );
