<?php
/**
 * Template part for displaying a post content
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

?>
<div class="entry-content">
	<?php
	if ( ! is_singular( get_post_type() ) && forty_two_use_post_excerpt() ) {
		the_excerpt();
	} else {
		the_content( sprintf(
			wp_kses(
				/* translators: %s: post title */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'forty-two' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		) );
	}

	wp_link_pages( array(
		'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'forty-two' ),
		'after'  => '</div>',
	) );
	?>
</div><!-- .entry-content -->
