<?php
/**
 * Template part for displaying post taxonomy terms
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

$separator = _x( ', ', 'list item separator', 'forty-two' );

$terms = array();
if ( forty_two_display_post_taxonomy_terms( 'category' ) ) {
	$term_list = get_the_category_list( esc_html( $separator ), '', $post->ID );

	if ( ! empty( $term_list ) ) {
		$terms[] = array(
			'slug'             => 'category',
			'class'            => 'category-links term-links',
			/* translators: %s: list of terms */
			'placeholder_text' => __( 'Posted in %s', 'forty-two' ),
			'list'             => $term_list,
		);
	}
}
if ( forty_two_display_post_taxonomy_terms( 'post_tag' ) ) {
	$term_list = get_the_tag_list( '', esc_html( $separator ), '', $post->ID );

	if ( ! empty( $term_list ) ) {
		$terms[] = array(
			'slug'             => 'post_tag',
			'class'            => 'tag-links term-links',
			/* translators: %s: list of terms */
			'placeholder_text' => __( 'Tagged %s', 'forty-two' ),
			'list'             => $term_list,
		);
	}
}

if ( empty( $terms ) && ! is_customize_preview() ) {
	return;
}

?>
<div class="entry-terms">
	<?php foreach ( $terms as $taxonomy_terms ) : ?>
		<span class="<?php echo esc_attr( $taxonomy_terms['class'] ); ?>">
			<?php
			printf(
				esc_html( $taxonomy_terms['placeholder_text'] ),
				$taxonomy_terms['list'] // phpcs:ignore WordPress.XSS.EscapeOutput.OutputNotEscaped
			);
			?>
		</span>
	<?php endforeach; ?>
</div>
