<?php
/**
 * The bottom bar widget area
 *
 * @package Forty_Two
 * @license GPL-3.0-or-later
 * @link    https://aspengrovestudios.com/themes/forty-two/
 */

$extra_class = forty_two_get_setting( 'bottom_bar_justify_content' );

?>

<div id="site-bottom-bar" class="site-bottom-bar inline-widget-area site-component is-flex <?php echo esc_attr( $extra_class ); ?>" role="contentinfo">
	<div class="site-component-inner">
		<?php
		$credits_text = '<a href="' . esc_url( __( 'https://wordpress.org/', 'forty-two' ) ) . '">';

		/* translators: %s: WordPress */
		$credits_text .= sprintf( __( 'Proudly powered by %s', 'forty-two' ), 'WordPress' );
		$credits_text .= '</a>';

		/* translators: 1: theme name, 2: theme author name with link */
		$credits_text .= ' | ' . sprintf( __( 'Theme: %1$s by %2$s', 'forty-two' ), 'Forty Two', '<a href="' . esc_url( __( 'https://aspengrovestudios.com', 'forty-two' ) ) . '">Aspen Grove Studios</a>' );

		if ( function_exists( 'get_the_privacy_policy_link' ) ) {
			$credits_text = get_the_privacy_policy_link( '', ' | ' ) . $credits_text;
		}

		$widget_class = 'WP_Widget_Text';
		if ( forty_two_is_amp() && class_exists( 'AMP_Widget_Text' ) ) {
			$widget_class = 'AMP_Widget_Text';
		}

		the_widget(
			$widget_class,
			array( 'text' => $credits_text ),
			array(
				'before_widget' => '<div class="inline-widget %s">',
				'after_widget'  => '</div>',
				'before_title'  => '<span class="inline-widget-title">',
				'after_title'   => '</span>',
			)
		);

		?>
	</div>
</div><!-- #site-bottom-bar -->
